Subject: Re: Kicking TCP

From: Vernon Schryver <[email-masked]>
Date: Wed, 8 Mar 2000 13:38:33 -0700 (MST)

> From: Phil Karn <[email-masked]>

>>During the outage state, if the router is queuing the data as suggested, upon 
> >restoration, any queued data will be sent as a burst to the other side, and 
> >the resulting ACKs will cause the window to re-inflate.  So if you have a 
>
> Only if all the data is queued during the outages. I propose having the subnet
> queue only the last packet on each flow, or alternatively some small number
> of packets N, with the older packets discarded as new ones arrive.

Again, doesn't any reasonable router queue at least the last N packets
that arrive while its flakey link is down but expected to be restored?

Vernon Schryver    [email-masked]